QGIS Application - Bug report #3719
qgis_mapserv.fcgi empty (ghost) layer in GetCapabilities
2011-04-11 10:57 AM - Alessandro Pasotti

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 13778
Description

| don't know if I'm doing something wrong, but it seems like an empty layer is added to [[GetCapabilities]].

See attached project and xml response.

Tested in trunk.

History

#1 - 2011-04-11 12:09 PM - Marco Hugentobler
- Resolution set to wontfix
- Status changed from Open to Closed

Do you mean the toplevel layer? If yes, this is intended. There must be exactly one toplevel layer (because of the WMS xml schema) and the project layer /

group structure comes under it. The toplevel layer gets the name / title from the qgs project title.

#2 - 2011-04-12 12:35 AM - Alessandro Pasotti

Thank for the quick answer,

Yes, | meant the top-level layer, | did not set the project title (which was not required, after all) and got the blank name and title.

| think this could be a common pitfall, and perhaps could be avoided with one of the following approachs:

- set the project title as mandatory (IMHO not a good idea)

- provide a default project title for the WMS server (project file name ?)

- raise a WMS exception if the title is not set

BTW, can you point me to the docs of the WMS server? | would like to add a short note about that blank name issue but | couldn't find them.

#3 - 2011-04-12 02:29 AM - Marco Hugentobler

The idea with a default title (filename without .qgs) sound great.

Untoftunately, there are no up-to-date docs. There is a small wiki page about QGIS server (http://www.qgis.org/wiki/QGIS_mapserver_tutorial), but it

needs more content (something for the hackfest?). You could add the notes about the toplevel group under the section "Troubleshooting'?
http://www.qgis.org/wiki/QGIS_mapserver_tutorial

#4 - 2011-04-12 05:27 AM - Marco Hugentobler

Filename as default title added in commit:8a31ca5d (SVN r15696)

Files
qgis-client.qgs 5.49 KB 2011-04-11 Alessandro Pasotti
GetCapabilities.xml 102 KB 2011-04-11 Alessandro Pasotti
